Page 1 of 3 123 LastLast
Results 1 to 10 of 25

Thread: LibreOffice crashes after upgrading to 3.5.2

  1. #1
    Join Date
    Jul 2008
    Location
    Estonia
    Posts
    100

    Default LibreOffice crashes after upgrading to 3.5.2

    I have LibreOffice installed from LibreOffice:/Unstable repository. Recently libreoffice was updated to 3.5.2 in there and after upgrading, I can't start libreoffice anymore.
    It gives:
    Code:
    terminate called after throwing an instance of 'com::sun::star::uno::RuntimeException'
    I tried:
    - removing /usr/lib64/libreoffice/share/uno_packages/cache
    - removing ~/.libreoffice
    - downgrading LibreOffice to 3.4.4.2
    - updating openjdk
    - deinstalling openjdk and using java-sun from someone's repository

    But none of the above helped. What else could I try?

  2. #2
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: LibreOffice crashes after upgrading to 3.5.2

    On Thu, 05 Apr 2012 18:06:02 +0530, atroxix
    <atroxix@no-mx.forums.opensuse.org> wrote:

    >
    > I have LibreOffice installed from LibreOffice:/Unstable repository.
    > Recently libreoffice was updated to 3.5.2 in there and after upgrading,
    > I can't start libreoffice anymore.
    > It gives:
    >
    > Code:
    > --------------------
    > terminate called after throwing an instance of
    > 'com::sun::star::uno::RuntimeException'
    > --------------------
    >
    >
    > I tried:
    > - removing /usr/lib64/libreoffice/share/uno_packages/cache
    > - removing ~/.libreoffice
    > - downgrading LibreOffice to 3.4.4.2
    > - updating openjdk
    > - deinstalling openjdk and using java-sun from someone's repository
    >
    > But none of the above helped. What else could I try?
    >
    >



    same here, now. after libreoffice was upgraded to 3.5.2 originally, a
    couple days ago, everything worked ok. today i received another (minor)
    upgrade, and while the app. itself starts, as soon as i try to open any
    document, new or old, it freezes. i guess something went wrong in the
    latest upgrade and hope it'll be fixed soon. in the meantime, you can
    always use libreO directly from their website...

    --
    phani.

  3. #3
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: LibreOffice crashes after upgrading to 3.5.2

    On Thu, 05 Apr 2012 18:39:06 +0530, phanisvara das
    <listmail@phanisvara.com> wrote:

    > On Thu, 05 Apr 2012 18:06:02 +0530, atroxix
    > <atroxix@no-mx.forums.opensuse.org> wrote:
    >
    >>
    >> I have LibreOffice installed from LibreOffice:/Unstable repository.
    >> Recently libreoffice was updated to 3.5.2 in there and after upgrading,
    >> I can't start libreoffice anymore.
    >> It gives:
    >>
    >> Code:
    >> --------------------
    >> terminate called after throwing an instance of
    >> 'com::sun::star::uno::RuntimeException'
    >> --------------------
    >>
    >>
    >> I tried:
    >> - removing /usr/lib64/libreoffice/share/uno_packages/cache
    >> - removing ~/.libreoffice
    >> - downgrading LibreOffice to 3.4.4.2
    >> - updating openjdk
    >> - deinstalling openjdk and using java-sun from someone's repository
    >>
    >> But none of the above helped. What else could I try?
    >>
    >>

    >
    >
    > same here, now. after libreoffice was upgraded to 3.5.2 originally, a
    > couple days ago, everything worked ok. today i received another (minor)
    > upgrade, and while the app. itself starts, as soon as i try to open any
    > document, new or old, it freezes. i guess something went wrong in the
    > latest upgrade and hope it'll be fixed soon. in the meantime, you can
    > always use libreO directly from their website...
    >


    https://bugzilla.novell.com/show_bug.cgi?id=755886

    --
    phani.

  4. #4
    Join Date
    Dec 2008
    Location
    Athens
    Posts
    296

    Default Re: LibreOffice crashes after upgrading to 3.5.2

    For those of you wanting to use Libreoffice in a production environment, but preferring a newer version than what is shipped by OpenSuse, I can only recommend installing the version from the LibreOffice site. I have always been doing that since the OpenOffice.org times and it was always at least as stable as the distro version. Since Libreoffice, I also have never encountered any problems with parallel installation.

    Of course, those of you, installing the unstable version to provide feedback to the Opensuse packagers, have a very valid reason to use this repo.
    Main box: OpenSuse 12.3)/KDE 4.10 64bit
    Older Box: OpenSuse 12.2/KDE 4.8.5 64bit (my mediabox)
    Laptop: Debian Wheezy/KDE 4.8.4 64bit

  5. #5
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: LibreOffice crashes after upgrading to 3.5.2

    On Thu, 05 Apr 2012 20:44:47 +0530, phanisvara das
    <listmail@phanisvara.com> wrote:

    > On Thu, 05 Apr 2012 18:39:06 +0530, phanisvara das
    > <listmail@phanisvara.com> wrote:
    >
    >> On Thu, 05 Apr 2012 18:06:02 +0530, atroxix
    >> <atroxix@no-mx.forums.opensuse.org> wrote:
    >>
    >>>
    >>> I have LibreOffice installed from LibreOffice:/Unstable repository.
    >>> Recently libreoffice was updated to 3.5.2 in there and after upgrading,
    >>> I can't start libreoffice anymore.
    >>> It gives:
    >>>
    >>> Code:
    >>> --------------------
    >>> terminate called after throwing an instance of
    >>> 'com::sun::star::uno::RuntimeException'
    >>> --------------------
    >>>
    >>>
    >>> I tried:
    >>> - removing /usr/lib64/libreoffice/share/uno_packages/cache
    >>> - removing ~/.libreoffice
    >>> - downgrading LibreOffice to 3.4.4.2
    >>> - updating openjdk
    >>> - deinstalling openjdk and using java-sun from someone's repository
    >>>
    >>> But none of the above helped. What else could I try?
    >>>
    >>>

    >>
    >>
    >> same here, now. after libreoffice was upgraded to 3.5.2 originally, a
    >> couple days ago, everything worked ok. today i received another (minor)
    >> upgrade, and while the app. itself starts, as soon as i try to open any
    >> document, new or old, it freezes. i guess something went wrong in the
    >> latest upgrade and hope it'll be fixed soon. in the meantime, you can
    >> always use libreO directly from their website...
    >>

    >
    > https://bugzilla.novell.com/show_bug.cgi?id=755886
    >


    after andreas jaeger's suggestion in the bug report, i removed
    libreoffice-kde4, and everything works fine again. i suggest you (OP) try
    that, too.

    --
    phani.

  6. #6
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: LibreOffice crashes after upgrading to 3.5.2

    On Thu, 05 Apr 2012 21:16:03 +0530, Nikos78
    <Nikos78@no-mx.forums.opensuse.org> wrote:

    >
    > For those of you wanting to use Libreoffice in a production environment,
    > but preferring a newer version than what is shipped by OpenSuse, I can
    > only recommend installing the version from the LibreOffice site. I have
    > always been doing that since the OpenOffice.org times and it was always
    > at least as stable as the distro version. Since Libreoffice, I also have
    > never encountered any problems with parallel installation.
    >
    > Of course, those of you, installing the unstable version to provide
    > feedback to the Opensuse packagers, have a very valid reason to use this
    > repo.
    >


    i've had good experience with both versions, directly downloaded from the
    LO site, and the unstable oS repo.

    this time seems to be only KDE4 integration that doesn't work
    (libreoffice-kde4), and i'm not sure it's LO's fault; in my case, it might
    be due to me using KDE from KDE:/Distro:/Factory instead the KDE:/Release
    repo. removing this package solves the problem.

    there's different degrees of "unstable," and libreoffice:/unstable is
    among the less disturbed/disturbing ones. but of course, using anything
    "unstable" always implies a risk.

    the advantage of using the oS repo is that one doesn't have to manually
    upgrade minor or major versions.

    --
    phani.

  7. #7
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,499

    Default Re: LibreOffice crashes after upgrading to 3.5.2

    libreoffice3.5.2 is installed and working.
    it would not run before the file : libreoffice3.5-stdlibs-3.5.2-202.x86_64.rpm
    was deleted.

    it was the same for libreoffice3.5.1, that also would not run
    before the file : libreoffice3.5-stdlibs-3.5.1-102.x86_64.rpm was deleted,

    Kernel: 3.3.1-1-desktop x86_64 (64 bit) Desktop KDE 4.8.2 Distro: openSUSE 12.1
    Mobo: A880G+ Bios: American Megatrends version: 080016 date: 01/25/2011
    Quad core AMD Phenom II X4 965
    Graphics: Card: ATI RS880 [Radeon HD 4250] X.Org: 1.10.4 driver: fglrx Resolution: 1680x1050@60.0hz
    GLX Renderer: ATI Radeon HD 4250 GLX Version: 3.3.11566 - CPC

  8. #8
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: LibreOffice crashes after upgrading to 3.5.2

    On Fri, 06 Apr 2012 09:16:02 +0530, keellambert
    <keellambert@no-mx.forums.opensuse.org> wrote:

    >
    > libreoffice3.5.2 is installed and working.
    > it would not run before the file :
    > libreoffice3.5-stdlibs-3.5.2-202.x86_64.rpm
    > was deleted.
    >
    > it was the same for libreoffice3.5.1, that also would not run
    > before the file : libreoffice3.5-stdlibs-3.5.1-102.x86_64.rpm was
    > deleted,
    >
    > Kernel: 3.3.1-1-desktop x86_64 (64 bit) Desktop KDE 4.8.2 Distro:
    > openSUSE 12.1
    > Mobo: A880G+ Bios: American Megatrends version: 080016 date: 01/25/2011
    > Quad core AMD Phenom II X4 965
    > Graphics: Card: ATI RS880 [Radeon HD 4250] X.Org: 1.10.4 driver: fglrx
    > Resolution: 1680x1050@60.0hz
    > GLX Renderer: ATI Radeon HD 4250 GLX Version: 3.3.11566 - CPC
    >


    where did you get this rpm from? it's not on my install.

    i had to delete libreoffice-kde4 to get it to work again...
    (https://bugzilla.novell.com/show_bug.cgi?id=755886 )

    --
    phani.

  9. #9
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: LibreOffice crashes after upgrading to 3.5.2

    On Fri, 06 Apr 2012 09:22:55 +0530, phanisvara das
    <listmail@phanisvara.com> wrote:

    > On Fri, 06 Apr 2012 09:16:02 +0530, keellambert
    > <keellambert@no-mx.forums.opensuse.org> wrote:
    >
    >>
    >> libreoffice3.5.2 is installed and working.
    >> it would not run before the file :
    >> libreoffice3.5-stdlibs-3.5.2-202.x86_64.rpm
    >> was deleted.
    >>
    >> it was the same for libreoffice3.5.1, that also would not run
    >> before the file : libreoffice3.5-stdlibs-3.5.1-102.x86_64.rpm was
    >> deleted,
    >>
    >> Kernel: 3.3.1-1-desktop x86_64 (64 bit) Desktop KDE 4.8.2 Distro:
    >> openSUSE 12.1
    >> Mobo: A880G+ Bios: American Megatrends version: 080016 date: 01/25/2011
    >> Quad core AMD Phenom II X4 965
    >> Graphics: Card: ATI RS880 [Radeon HD 4250] X.Org: 1.10.4 driver: fglrx
    >> Resolution: 1680x1050@60.0hz
    >> GLX Renderer: ATI Radeon HD 4250 GLX Version: 3.3.11566 - CPC
    >>

    >
    > where did you get this rpm from? it's not on my install.
    >
    > i had to delete libreoffice-kde4 to get it to work again...
    > (https://bugzilla.novell.com/show_bug.cgi?id=755886 )
    >



    ah, now i see that you installed directly from the LO website. i didn't
    have that problem when i used the directly downloaded rpms last time
    (3.5.1); LO worked fine w/o removing that file.

    --
    phani.

  10. #10
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,499

    Default Re: LibreOffice crashes after upgrading to 3.5.2

    hi,

    fwiw with the version of LO 3.5.2 I have installed,

    having the package libobasis3.5-kde-integration - KDE integration module for
    LibreOffice 3.5 Version: 3.5.2-202 Build Time: Wed 28 Mar 2012 09:38:51 CEST,

    is not a problem,

    sorry if I'm confusing things but there are a lot of LO versions to choose from

    keep smiling

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •